=== debian/changelog ===
python-schema-salad (8.7.20240905150001-1) unstable; urgency=medium

  * d/watch: adapt to changed package name
  * New upstream version
  * Drop patch "rework_all", it is no longer needed.
  * d/control: black is needed for compilation, not just testing
  * d/rules: small cleanups, run the tests with the same options as upstream
  * Added patch to build the mypyc modules with debugging information.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 09 Sep 2024 13:11:29 +0200
