## python-schema-salad 8.8.20241206093842

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?=
 
-VERSION=8.7.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.8.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)
@@ -205,7 +205,7 @@
 	bandit --recursive --exclude schema_salad/tests/ schema_salad
 
 pyupgrade: $(filter-out schema_salad/metaschema.py,$(PYSOURCES))
-	pyupgrade --exit-zero-even-if-changed --py38-plus $^
+	pyupgrade --exit-zero-even-if-changed --py39-plus $^
 	auto-walrus $^
 
 release-test: FORCE
@@ -228,6 +228,11 @@
 schema_salad/metaschema.py: schema_salad/codegen_base.py schema_salad/python_codegen_support.py schema_salad/python_codegen.py schema_salad/metaschema/*.yml
 	schema-salad-tool --codegen python schema_salad/metaschema/metaschema.yml > $@
 
+vpath %.yml schema_salad/tests/cpp_tests
+
+schema_salad/tests/cpp_tests/%.h: %.yml
+	schema-salad-tool --codegen cpp --codegen-target $@ $<
+
 FORCE:
 
 # Use this to print the value of a Makefile variable
