=== debian/changelog ===
python-schema-salad (8.8.20241206093842-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:39:28 +0000

python-schema-salad (8.8.20241206093842-2) unstable; urgency=medium

  * Build the docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 17:46:10 +0100

python-schema-salad (8.8.20241206093842-1) unstable; urgency=medium

  * d/control: adjust python*-dev* build-deps to help cross-building
  * d/docs: include the Apache NOTICE file from the avro fork.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 16 Dec 2024 00:00:28 +0100
