=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3,
                python3-all,
-               python3-all-dev,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-setuptools,
                python3-setuptools-scm,
                python3-mistune (>> 3),
@@ -25,8 +27,15 @@
                python3-pytest-runner <!nocheck>,
                black,
                python3-typing-extensions <!nocheck>,
-               help2man
-Standards-Version: 4.6.2
+               help2man,
+               python3-sphinx-autoapi <!nodoc>,
+               python3-sphinx-autodoc-typehints <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.autoprogram <!nodoc>,
+               python3-doc <!nodoc>,
+               python-rdflib-doc <!nodoc>,
+               python-requests-doc <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/
