=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,9 @@
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_auto_build:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR) $(MAKE) docs
+endif
 	PYTHONPATH=. help2man --no-info \
 		   --version-string=${DEB_VERSION_UPSTREAM} \
 		   --no-discard-stderr \
