=== debian/tests/control ===
Tests: run-tests
Depends: @, python3-pytest-xdist, python3-pytest (>> 6.2), black
Restrictions: allow-stderr, needs-internet
