## python-schema-salad 8.9.20250408123006

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.1
CacheControl[filecache]>= 0.13.1, < 0.15
black>=19.10b0,<24.11
mypy_extensions
