=== debian/changelog ===
python-schema-salad (8.9.20250408123006-1) unstable; urgency=medium

  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing.
  * Clean up test invocation in d/rules and switch to autopkgtest-pkg-pybuild.
  * docs: link to other packages docs as well.
  * d/control: build-dep on graphviz for the docs.
  * d/lintian-overrides: freshen
  * Skip "test_detect_changes_in_html", only of interest to developers.
    Closes: #1101866.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Refreshed patches.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 09 Apr 2025 12:51:52 +0200
