=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -34,8 +35,9 @@
                python3-sphinxcontrib.autoprogram <!nodoc>,
                python3-doc <!nodoc>,
                python-rdflib-doc <!nodoc>,
-               python-requests-doc <!nodoc>
-Standards-Version: 4.7.0
+               python-requests-doc <!nodoc>,
+               graphviz <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/
@@ -49,7 +51,8 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libjs-bootstrap
-Recommends: cwltool, black
+Recommends: cwltool,
+            black
 Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
