## python-schema-salad 8.9.20250723145140

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 COVBASE=coverage run --append
 PYTEST_EXTRA ?=
 
-VERSION=8.8.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
+VERSION=8.9.$(shell date +%Y%m%d%H%M%S --utc --date=`git log --first-parent \
 	--max-count=1 --format=format:%cI`)
 
 ## all                    : default task (install schema-salad in dev mode)
