=== debian/changelog ===
python-schema-salad (8.9.20250723145140-2) unstable; urgency=medium

  * Added patch to formally support newer mistune.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 30 Sep 2025 17:52:37 +0200

python-schema-salad (8.9.20250723145140-1) unstable; urgency=medium

  * d/control: switch back to pybuild-based autopkgtests
  * New upstream version. Closes: #1114331
  * d/control: remove outdated package version restrictions.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 14 Sep 2025 15:22:08 +0200
