=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -20,11 +20,11 @@
                python3-ruamel.yaml,
                python3-mypy,
                python3-typeshed,
-               python3-cachecontrol ( >> 0.12.12 ),
+               python3-cachecontrol,
                python3-filelock,
                pybuild-plugin-pyproject,
                python3-pytest-xdist <!nocheck>,
-               python3-pytest (>> 6.2) <!nocheck>,
+               python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                black,
                python3-typing-extensions <!nocheck>,
@@ -53,7 +53,6 @@
          libjs-bootstrap
 Recommends: cwltool,
             black
-Breaks: cwltool (<< 3.1.20210521105815)
 Description: Schema Annotations for Linked Avro Data (SALAD)
  Salad is a schema language for describing JSON or YAML structured linked data
  documents. Salad is based originally on JSON-LD and the Apache Avro data
