=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,12 @@
 
 DH_VERBOSE := 1
 
-include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/default.mk
 
 export PYBUILD_NAME=schema-salad
-#export PYBUILD_DISABLE=test
+export PYBUILD_TEST_ARGS=-rsfE $(DEB_BUILD_OPTION_PARALLEL:%=-n %) -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema or test_detect_changes_in_html)' --pyargs schema_salad
 export SCHEMA_SALAD_USE_MYPYC=1
 export MYPYPATH=$(CURDIR)/mypy-stubs
-#export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}
 
 %:
 	dh $@ --buildsystem=pybuild
@@ -37,16 +36,6 @@
 	sed -i 's/PYTHON/SCHEMA-SALAD-DOC/g' debian/schema-salad-doc.1
 	find . -name "*.coverage" -delete
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_install
-	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd {dir}; export PATH={destdir}/usr/bin:$$PATH ; \
-	cd {build_dir}; export PYTHONPATH=$$(pwd); {interpreter} -m pytest \
-		-rsfE -n auto -k 'not (test_secondaryFiles or test_outputBinding or test_yaml_tab_error or test_bad_schemas or test_load_by_yaml_metaschema)' \
-		--pyargs schema_salad" dh_auto_test
-endif
-
 execute_after_dh_auto_install:
 	find debian -name LICENSE -delete
 	find debian -name '*.cwl' -exec chmod a+x {} \;
