## python-schema-salad 8.9.20251102115403

=== requirements.txt ===
requests >= 1.0
ruamel.yaml >= 0.17.6, < 0.19
rdflib>= 4.2.2, < 8.0.0
mistune>=3,<3.2
CacheControl[filecache]>= 0.13.1, < 0.15
black>=19.10b0,<25.10
mypy_extensions
