=== debian/changelog ===
python-schema-salad (8.9.20251102115403-1) unstable; urgency=medium

  * New upstream version. Closes: #1123456
  * Standards-Version: 4.7.3 (routine-update)
  * Removed patch applied upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 07 Jan 2026 10:34:19 +0100
