=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                python-rdflib-doc <!nodoc>,
                python-requests-doc <!nodoc>,
                graphviz <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-schema-salad
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-schema-salad.git
 Homepage: https://schema-salad.readthedocs.io/
